gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
Preconditions Class
Preconditions Methods
CheckArgument Method
CheckArgument Method (Boolean)
CheckArgument Method (Boolean, String)

Preconditions CheckArgument Method (Boolean)

Throws ArgumentException if condition is false.

Namespace: Grpc.Core.Utils
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static void CheckArgument(
    	bool condition
    )

    Public Shared Sub CheckArgument (
    	condition As Boolean
    )

    public:
    static void CheckArgument(
    	bool condition
    )

    static member CheckArgument :
            condition : bool -> unit

#### Parameters

condition
  Type: System
  Boolean
  The condition.

See Also

#### Reference

Preconditions Class
CheckArgument Overload
Grpc.Core.Utils Namespace